# TestItem Class Reference

`#include <TestItem.hpp>`

Collaboration diagram for TestItem:
[legend]

List of all members.

## Public Member Functions
| TestItem (const char *itemName)
| ~TestItem ()
void | passItem ()
void | failItem (const char *_fileName, const int lineNum)
void | expectNonZero (const char *_fileName, const int lineNum, const int val)
void | expectFalse (const char *_fileName, const int lineNum, const bool val)
void | expectTrue (const char *_fileName, const int lineNum, const bool val)
void | expectZero (const char *_fileName, const int lineNum, const int val)
void | sameString (const char *fileName, const int lineNum, const char *string1, const char *string2)
bool | passed ()
## Static Public Member Functions
static void | setBed (TestBed *aBed)
## Private Member Functions
int | compare (const TestItem &otherItem) const
## Private Attributes
char * | name
bool | success
bool | isSet
char * | fileName
int | lineNumber
## Static Private Attributes
static TestBed * | theBed
## Friends
std::ostream & | operator<< (std::ostream &os, const TestItem &item)
bool | operator< (const TestItem &item1, const TestItem &item2)
bool | operator> (const TestItem &item1, const TestItem &item2)
bool | operator<= (const TestItem &item1, const TestItem &item2)
bool | operator>= (const TestItem &item1, const TestItem &item2)
bool | operator== (const TestItem &item1, const TestItem &item2)
bool | operator!= (const TestItem &item1, const TestItem &item2)

## Detailed Description

Definition at line 12 of file TestItem.hpp.

## Constructor & Destructor Documentation

TestItem::TestItem | ( | const char * | itemName | ) |

TestItem::~TestItem | ( |  | ) |

## Member Function Documentation

int TestItem::compare | ( | const TestItem & | otherItem | ) | const`[private]`

static void TestItem::setBed | ( | TestBed * | aBed | ) | `[inline, static]`

Definition at line 21 of file TestItem.hpp.

void TestItem::passItem | ( |  | ) | `[inline]`

Definition at line 25 of file TestItem.hpp.

void TestItem::failItem | ( | const char * | _fileName,
|  | const int | lineNum |
| ) |  |  |

void TestItem::expectNonZero | ( | const char * | _fileName,
|  | const int | lineNum,
|  | const int | val |
| ) |  |  |

void TestItem::expectFalse | ( | const char * | _fileName,
|  | const int | lineNum,
|  | const bool | val |
| ) |  |  |

void TestItem::expectTrue | ( | const char * | _fileName,
|  | const int | lineNum,
|  | const bool | val |
| ) |  |  |

void TestItem::expectZero | ( | const char * | _fileName,
|  | const int | lineNum,
|  | const int | val |
| ) |  |  |

void TestItem::sameString | ( | const char * | fileName,
|  | const int | lineNum,
|  | const char * | string1,
|  | const char * | string2 |
| ) |  |  |

bool TestItem::passed | ( |  | ) | `[inline]`

Definition at line 49 of file TestItem.hpp.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const TestItem & | item |
| ) |  |  | `[friend]`

bool operator< | ( | const TestItem & | item1,
|  | const TestItem & | item2 |
| ) |  |  | `[friend]`

bool operator> | ( | const TestItem & | item1,
|  | const TestItem & | item2 |
| ) |  |  | `[friend]`

bool operator<= | ( | const TestItem & | item1,
|  | const TestItem & | item2 |
| ) |  |  | `[friend]`

bool operator>= | ( | const TestItem & | item1,
|  | const TestItem & | item2 |
| ) |  |  | `[friend]`

bool operator== | ( | const TestItem & | item1,
|  | const TestItem & | item2 |
| ) |  |  | `[friend]`

bool operator!= | ( | const TestItem & | item1,
|  | const TestItem & | item2 |
| ) |  |  | `[friend]`

## Member Data Documentation

TestBed* TestItem::theBed`[static, private]`

Definition at line 13 of file TestItem.hpp.

char* TestItem::name`[private]`

Definition at line 14 of file TestItem.hpp.

bool TestItem::success`[private]`

Definition at line 15 of file TestItem.hpp.

bool TestItem::isSet`[private]`

Definition at line 16 of file TestItem.hpp.

char* TestItem::fileName`[private]`

Definition at line 17 of file TestItem.hpp.

int TestItem::lineNumber`[private]`

Definition at line 18 of file TestItem.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/unittest/TestItem.hpp